# ``twisted`.`names`.`authority``

module documentation
(source)

Authoritative resolvers.

Class | `BindAuthority` | An Authority that loads BIND zone files.
Class | `FileAuthority` | An Authority that is loaded from a file.
Class | `PySourceAuthority` | A FileAuthority that is built up from Python source code.
Function | `getSerial` | Return a monotonically increasing (across program runs) integer.

def getSerial(filename='/tmp/twisted-names.serial'): (source)

Return a monotonically increasing (across program runs) integer.

State is stored in the given file. If it does not exist, it is created with rw-/---/--- permissions.

This manipulates process-global state by calling `os.umask()`, so it isn't thread-safe.

Parameters
filename:`str` | Path to a file that is used to store the state across program runs.
Returns
`str` | a monotonically increasing number